package dev.crucifixbeta.mod.modules.impl.client.hud;

import dev.crucifixbeta.mod.modules.Module;
import dev.crucifixbeta.mod.modules.settings.impl.BooleanSetting;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class HudSetting extends Module {
   public static HudSetting INSTANCE;
   public final BooleanSetting font = this.add(new BooleanSetting("Font", true));

   public HudSetting() {
      super("HUDSetting", Module.Category.Client);
      this.setChinese("HUD\u8bbe\u7f6e");
      INSTANCE = this;
   }

   public static boolean useFont() {
      return INSTANCE == null || INSTANCE.font.getValue();
   }

   public static boolean useShadow() {
      return false;
   }

   @Override
   public void enable() {
      this.state = true;
   }

   @Override
   public void disable() {
      this.state = true;
   }

   @Override
   public boolean isOn() {
      return true;
   }
}
